package com.goldenwater.slgc.mapper;

import java.util.List;
import com.goldenwater.slgc.domain.AttInsiBase;
import org.apache.ibatis.annotations.Mapper;

/** 机电排灌信息 Mapper */
@Mapper
public interface AttInsiBaseMapper {
    /**
     * 查询机电排灌信息列表
     * 
     * @param attInsiBase 查询条件
     * @return 机电排灌信息列表
     */
    public List<AttInsiBase> selectAttInsiBaseList(AttInsiBase attInsiBase);

    /**
     * 通过机电排灌编码查询机电排灌信息
     * 
     * @param insiCode 机电排灌编码
     * @return 机电排灌信息
     */
    public AttInsiBase selectAttInsiBaseById(String insiCode);

    /**
     * 通过机电排灌编码删除机电排灌信息
     * 
     * @param insiCode 机电排灌编码
     * @return 影响行数
     */
    public int deleteAttInsiBaseById(String insiCode);

    /**
     * 批量删除机电排灌信息
     * 
     * @param insiCodes 机电排灌编码数组
     * @return 影响行数
     */
    public int deleteAttInsiBaseByIds(String[] insiCodes);

    /**
     * 修改机电排灌信息
     * 
     * @param attInsiBase 机电排灌信息
     * @return 影响行数
     */
    public int updateAttInsiBase(AttInsiBase attInsiBase);

    /**
     * 新增机电排灌信息
     * 
     * @param attInsiBase 机电排灌信息
     * @return 影响行数
     */
    public int insertAttInsiBase(AttInsiBase attInsiBase);
}
